# pepboost

[![codecov](https://codecov.io/gh/pgarrett-scripps/pepboost/branch/main/graph/badge.svg?token=pepboost_token_here)](https://codecov.io/gh/pgarrett-scripps/pepboost)
[![CI](https://github.com/pgarrett-scripps/pepboost/actions/workflows/main.yml/badge.svg)](https://github.com/pgarrett-scripps/pepboost/actions/workflows/main.yml)

Awesome pepboost created by pgarrett-scripps

## Install it from PyPI

```bash
pip install pepboost
```

## Results

The results are not great when compared to deep learning approaches, but they are several times faster.
There is a lot of room for improvement. No alignment is performed, and the models are not optimized.


```console
Training RT model...
Found 0 inf sequences.
Found 0 nan sequences.
R^2: 0.9139231539453871
          Retention Time: Predicted vs Experimental
┌────────────────────────────────────────────────────────────┐
│                  ▖          ▗    ▄ ▗▄▄▄▄▟▄▄▄▟█▄▙▟▙██▟▄█▟▖▘▝│ 
│                           ▄ ▄▗▘▌▐▛█▐▜████████████████▜▛▌ ▝▗│ 
│                   ▖   ▗  ▟ ▖▛ ▗▜▐███████████████████▛▝▀    │ 
│                  ▝  ▖▌ ▌ ▟▖▝▀▖▟██████████████████▛▛▀▄▖     │ 
│        ▗         ▘     ▘▖▗▖████████████████████▀▛▘▀▘ ▘     │ 
│             ▘▝ ▝ ▝ ▄ ▞▜▐▄▐▙███████████████████▀▌  ▌     ▘  │ 
│           ▖   ▖▖▚▄▗▀▞▘████████████████████▛▌ ▛▀ ▄▘         │ 
│        ▝▖ ▘▗▘▄ ▖▐▞▀▟▙██████████████████▘█▌ ▀   ▘           │ 
│        ▝   ▝▖▌▘▚██▙██████████████████▜▟▘  ▖▌               │ 0.5
│       ▗ ▗ ▌▐▟▚▜▜████████████████▀▀▌▚▘▘ ▖ ▖ ▗▝              │ 
│▘  ▖     ▐▖▗▘▟████████████████▜▘▐▐   ▀▖              ▝      │ 
│     ▖▝▗▖ ▜█████████████▛▛▀▚▘▛  ▘▝▘▝              ▖         │ 
│   ▝▖ ▝▐▙███████████▀▜▀▌▘▘▝   ▘    ▘     ▘                  │ 
│    ▗▟██████████▜▀▘▘      ▖                                 │ 
│▘▝▝██████▛▀▀▘   ▘     ▝                                     │ 
│ ▄██████▘     ▘  ▗                                          │ 
│▁▚████▛▞▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▖▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁▁│ 0.0
└────────────────────────────────────────────────────────────┘
          0.2         0.4        0.6         0.8        1.0
Reading Files: 100%|██████████| 29/29 [00:08<00:00,  3.62it/s]
Training IM model...
R^2: 0.965236664924016
           Ion Mobility: Predicted vs Experimental
┌────────────────────────────────────────────────────────────┐
│                       ▖    ▝▝      ▖▗▝▖ ▖ ▗ ▟▄▗██▟█████▟█▌▝│ 
│                         ▝        ▖  ▗▟ ▟▗█▄▙█▟████████▘▘ ▖ │ 1.4
│                                 ▗▖▖ ▗ ▄█▗▟█████████▛▛ ▘ ▖  │ 
│                            ▝▖ ▖▖▐█▖▙▟████████████▛▞▀▘      │ 
│                           ▗ ▞▟ █▛▟████████████▀▚▝▘         │ 
│                       ▝   ▄▄▀▙██████████████▚▘▘            │ 
│                        ▐▗▐▛███████████████▝▘ ▗             │ 1.2
│                      ▄▄▄▟█████████████▙▚▀ ▝▗               │ 
│                  ▗ ▄▟█████████████▜▀▘▀▗▘▗                  │ 
│               ▖  ▄▟███████████▛▛█▜▙▘▜ ▖▗ ▖ ▀               │ 
│              ▄▄▟▟██████████▛█▜▝▌▚▗     ▖                   │ 1.0
│            ▄███████████▛▛▛  ▝▘▗▘ ▖    ▖                    │ 
│        ▗▄▙███████████▀▜▝▘      ▝     ▖ ▘    ▗              │ 
│       ▟██████████▛▀▘ ▘ ▝       ▘                           │ 
│   ▗▟█████████▛▀▀▝                                          │ 0.8
│ ▗▄████████▀▀▘▀                                             │ 
│▙▟████▛▀▛▞                                                  │ 
└────────────────────────────────────────────────────────────┘
       0.8            1.0           1.2            1.4
Reading Files: 100%|██████████| 29/29 [00:10<00:00,  2.90it/s]
Found 0 inf sequences.
Found 0 nan sequences.
R^2: 0.8719144805523465
             Intensity: Predicted vs Experimental
┌────────────────────────────────────────────────────────────┐
│                 ▖▐▝▌▞█▘██▜▜▛█▛▙█▚█▙▟██████████████████████▛│ 1.0
│                 ▟▞▟▗▖▐▀█▚▜█▟▌▝▟▙█▜████████████████████████▙│ 
│                 ▗▛  ▝▖▖▟▛▐▙▚▄▛█▄██████████████████████████ │ 
│                ▗▀ ▖▄▘▙▖▙▟█▛▞██████████████████████████████▖│ 
│                 ▄█ ▖▚▖▙▜▙█▟███████████████████████████████▖│ 
│                 ▖▚██▐▄█▙██████████████████████████████████ │ 
│                 ▝▟█▟▙████████████████████████████████████▌ │ 
│         ▝      ▝│▟██▛████████████████████████████████████  │ 
│                ▘▐▛███████████████████████████████████████▖ │ 0.5
│                 ▟████████████████████████████████████▙█▌█▀ │ 
│                ▖███████████████████████████████████▙█████  │ 
│                ▗▐██████████████████████████████████▀▙██▙▙  │ 
│                ▐█████████████████████████████████▟███▐█▀▖  │ 
│              ▜▚▐███████████████████████████████▐██▟▌▜▝█▌▝▘ │ 
│              ▝▖████████████████████████████████▙█▛▛▘▞▌▀▙▞  │ 
│           ▘▖▗▐████████████████████████████▛█▌▀▘▜▛▛█▛▙▛  ▝  │ 
│▖▖▁▁▁▗▐▖▝█▙▙█████████████████████████████▟███▟▚▟▞▛█▄▙▙▄▗▙▗▖▁│ 0.0
└────────────────────────────────────────────────────────────┘
     -0.2        0.0        0.2        0.5        0.8
```

## Development

Read the [CONTRIBUTING.md](CONTRIBUTING.md) file.
